> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activity



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/activity
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/activity:
    get:
      tags:
        - Client Presentations
      summary: Activity
      operationId: ClientPresentationsController_activity_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            default: 50
            type: integer
            minimum: 1
            maximum: 100
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationActivityPageDto'
components:
  schemas:
    PresentationActivityPageDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PresentationActivityItemDto'
        nextCursor:
          type:
            - string
            - 'null'
      required:
        - items
        - nextCursor
    PresentationActivityItemDto:
      type: object
      properties:
        type:
          enum:
            - created
            - archived
            - restored
            - follow_up_created
            - rework_requested
            - alternative_resolved
            - offline_recorded
            - signed
            - shared
            - viewed
            - submitted
            - revoked
            - recipient_added
            - recipient_removed
          type: string
        payload:
          type: object
          additionalProperties: true
        id:
          type: string
        at:
          type: string
        actor:
          anyOf:
            - $ref: '#/components/schemas/PersonRefDto'
            - type: 'null'
        versionN:
          type:
            - number
            - 'null'
      required:
        - type
        - payload
        - id
        - at
        - actor
        - versionN
    PersonRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
      required:
        - id
        - name
        - email

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.